GET /api/v3/applications/{lcuid}/key-value-store¶
Summary¶
GET applications/{id}/key-value-store
Description¶
Return a list of keys owned by the application and attached to the application
Tags: applications
Parameters¶
Header Parameters¶
| Name | Type | Required | Description | Example |
|---|---|---|---|---|
Authorization |
string |
✓ Yes | Bearer {AuthToken} |
|
Content-Type |
string |
✓ Yes | application/json |
|
Accept |
string |
✓ Yes | application/json |
|
AppIdV3 |
string |
✓ Yes | LCUID-LAP-********-****-****-****-************ |
Responses¶
Response: 200¶
Description: Sample Response
Content Type: application/json¶
Schema¶
Type: object
Properties:
success(boolean)key_value_store(array)-
Array items:
objectType:objectProperties:
parent_type(string)object_type(string)key_name(string)key(string)value(string)created_at(string)updated_at(string)macro(string)
Example Response¶
{
"success": true,
"key_value_store": [
{
"parent_type": "App\\Application",
"object_type": "App\\Application",
"key_name": "Test Key",
"key": "test_key",
"value": "my value",
"created_at": "2026-01-08T23:28:32.000000Z",
"updated_at": "2026-01-08T23:28:32.000000Z",
"macro": "application.store.test_key"
},
{
"parent_type": "App\\Application",
"object_type": "App\\Application",
"key_name": "Test Key 2",
"key": "test_key_2",
"value": "Another Value",
"created_at": "2026-01-08T23:28:32.000000Z",
"updated_at": "2026-01-08T23:28:32.000000Z",
"macro": "application.store.test_key_2"
}
]
}
Example Implementations¶
Bash (cURL)¶
curl --request GET \
--get "https://api.lucit.app/api/v3/applications/LCUID-LAP-506fc585-77be-11ec-acb9-c2cdb617d190/key-value-store" \
--header "Authorization: Bearer {AuthToken}" \
--header "Content-Type: application/json" \
--header "Accept: application/json" \
--header "AppIdV3: LCUID-LAP-********-****-****-****-************"
JavaScript (Fetch API)¶
const url = new URL(
"https://api.lucit.app/api/v3/applications/LCUID-LAP-506fc585-77be-11ec-acb9-c2cdb617d190/key-value-store"
);
const headers = {
"Authorization": "Bearer {AuthToken}",
"Content-Type": "application/json",
"Accept": "application/json",
"AppIdV3": "LCUID-LAP-********-****-****-****-************",
};
fetch(url, {
method: "GET",
headers,
}).then(response => response.json());
PHP (Guzzle)¶
$client = new \GuzzleHttp\Client();
$response = $client->get(
'https://api.lucit.app/api/v3/applications/LCUID-LAP-506fc585-77be-11ec-acb9-c2cdb617d190/key-value-store',
[
'headers' => [
'Authorization' => 'Bearer {AuthToken}',
'Content-Type' => 'application/json',
'Accept' => 'application/json',
'AppIdV3' => 'LCUID-LAP-********-****-****-****-************',
],
]
);
$body = $response->getBody();
print_r(json_decode((string) $body));
Python (Requests)¶
import requests
import json
url = 'https://api.lucit.app/api/v3/applications/LCUID-LAP-506fc585-77be-11ec-acb9-c2cdb617d190/key-value-store'
headers = {
'Authorization': 'Bearer {AuthToken}',
'Content-Type': 'application/json',
'Accept': 'application/json',
'AppIdV3': 'LCUID-LAP-********-****-****-****-************'
}
response = requests.request('GET', url, headers=headers)
response.json()